> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# データセットのインポートセッションを取得する



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml GET /tasks/{alias}/dataset-imports/{importId}
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project（APIパスではタスクと呼ばれます）、ルーティングバージョン、
    データセット、再ラベル付け、ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Tasks
    description: 安定したタスクアイデンティティとタスクレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: タスク トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるタスクごとの表示設定。
paths:
  /tasks/{alias}/dataset-imports/{importId}:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/TaskAlias'
      - $ref: '#/components/parameters/DatasetImportId'
    get:
      tags:
        - Datasets
      summary: データセットのインポートセッションを取得
      operationId: getDatasetImport
      responses:
        '200':
          description: インポートの転送および処理の状態.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetImport'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
    TaskAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
    DatasetImportId:
      name: importId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    DatasetImport:
      type: object
      required:
        - id
        - task_id
        - dataset_id
        - name
        - split_policy
        - duplicate_policy
        - state
        - total_bytes
        - counters
        - error
        - expires_at
        - created_at
        - updated_at
        - file
        - validation
      properties:
        id:
          type: string
          format: uuid
        task_id:
          type: string
          format: uuid
        dataset_id:
          type:
            - string
            - 'null'
          format: uuid
          description: >-
            送信先データセットの ID です。データセットの作成開始時に割り当てられます。データセットを使用する前に、状態が ready
            になるまで待ってください。作成前、またはデータセットの削除後は Null です。
        name:
          type: string
        split_policy:
          type: object
          additionalProperties: true
          description: インポートの作成時に受け入れられた分割ポリシーです.
        duplicate_policy:
          type: object
          additionalProperties: true
          description: インポートの作成時に受け入れられた重複ポリシー。
        state:
          type: string
          enum:
            - uploading
            - queued
            - validating
            - auditing
            - committing
            - ready
            - failed
            - cancelled
            - expired
        total_bytes:
          type: integer
          minimum: 1
        counters:
          type:
            - object
            - 'null'
          additionalProperties: true
          description: 検証結果の合計値。利用できない場合は null。
          required:
            - staged_rows
            - rejected_rows
            - validation_errors
            - errors_by_code
            - rows_by_split
          properties:
            staged_rows:
              type: integer
              minimum: 0
            rejected_rows:
              type: integer
              minimum: 0
            validation_errors:
              type: integer
              minimum: 0
            errors_by_code:
              type: object
              description: エラーコード別の検証エラー件数。
              additionalProperties:
                type: integer
                minimum: 0
            rows_by_split:
              type: object
              description: 分割（train、val、unassigned）をキーとする、受け入れ済みの行数です。受け入れ済みの行がない分割は省略されます。
              additionalProperties:
                type: integer
                minimum: 0
        error:
          type:
            - string
            - 'null'
        expires_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        file:
          $ref: '#/components/schemas/DatasetImportFile'
        validation:
          $ref: '#/components/schemas/DatasetImportValidation'
      additionalProperties: true
    DatasetImportFile:
      type: object
      required:
        - name
        - size_bytes
        - part_size_bytes
        - part_count
        - state
        - uploaded_bytes
        - parts
      properties:
        name:
          type: string
        size_bytes:
          type: integer
          minimum: 1
        part_size_bytes:
          type: integer
          minimum: 1
          description: サイズはサーバー側で固定されます。最後のパートを除き、各パートは正確にこのサイズである必要があります。
        part_count:
          type: integer
          minimum: 1
        state:
          type: string
          enum:
            - pending
            - uploading
            - completed
            - failed
            - cancelled
        uploaded_bytes:
          type: integer
          minimum: 0
        parts:
          type: array
          items:
            $ref: '#/components/schemas/DatasetImportPart'
          description: >-
            マルチパートアップロードの進行中にストレージから報告されるアップロード済みのパートです.
            中断された転送を再開するには、このインベントリを使用します. アップロード開始前、および完了、失敗、キャンセル後は空になります.
    DatasetImportValidation:
      type: object
      required:
        - validation_state
        - validated_bytes
        - validated_lines
        - validated_rows
        - raw_sha256
        - error_count
        - errors_truncated
        - errors
      properties:
        validation_state:
          type: string
          enum:
            - pending
            - running
            - valid
            - invalid
        validated_bytes:
          type: integer
          minimum: 0
        validated_lines:
          type: integer
          minimum: 0
        validated_rows:
          type: integer
          minimum: 0
        raw_sha256:
          type:
            - string
            - 'null'
        error_count:
          type: integer
          minimum: 0
        errors_truncated:
          type: boolean
          description: error_count が返されたエラーの件数を超える場合は True になります. 含まれるエラーは最大 100 件です.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/DatasetImportValidationError'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
    DatasetImportPart:
      type: object
      required:
        - part_number
        - size_bytes
        - etag
      properties:
        part_number:
          type: integer
          minimum: 1
        size_bytes:
          type: integer
          minimum: 0
        etag:
          type: string
    DatasetImportValidationError:
      type: object
      required:
        - physical_line
        - source_byte_offset
        - code
        - message
      properties:
        physical_line:
          type: integer
          minimum: 1
        source_byte_offset:
          type: integer
          minimum: 0
        code:
          type: string
        message:
          type: string
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B APIキー。

````